DynamicJava Javadoc: Class ThrowStatement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class ThrowStatement

    java.lang.Object
      |
      +--koala.dynamicjava.tree.Node
            |
            +--koala.dynamicjava.tree.Statement
                  |
                  +--koala.dynamicjava.tree.ThrowStatement

All Implemented Interfaces:
  ExpressionContainer

public class ThrowStatement
extends Statement
implements ExpressionContainer

This class represents the throw statement nodes of the syntax tree

Fields inherited from class koala.dynamicjava.tree.Node
`BEGIN_COLUMN, BEGIN_LINE, END_COLUMN, END_LINE, FILENAME`

Fields inherited from interface koala.dynamicjava.tree.ExpressionContainer
`EXPRESSION`

Constructor Summary
`ThrowStatement(Expression exp)` Creates a new while statement
`ThrowStatement(Expression exp, java.lang.String fn, int bl, int bc, int el, int ec)` Creates a new while statement

Method Summary
`java.lang.Object` | `acceptVisitor(Visitor visitor)` Allows a visitor to traverse the tree
`Expression` | `getExpression()` Gets the expression
`void` | `setExpression(Expression e)` Sets the expression

Methods inherited from class koala.dynamicjava.tree.Node
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getProperties, getProperty, hasProperty, removePropertyChangeListener, removePropertyChangeListener, setBeginColumn, setBeginLine, setEndColumn, setEndLine, setFilename, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThrowStatement

    public ThrowStatement(Expression exp)

  Creates a new while statement
  Parameters:
    `exp` - the expression

### ThrowStatement

    public ThrowStatement(Expression exp,
                          java.lang.String fn,
                          int bl,
                          int bc,
                          int el,
                          int ec)

  Creates a new while statement
  Parameters:
    `exp` - the expression
    `fn` - the filename
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column
  Throws:
    `java.lang.IllegalArgumentException` - if exp is null

Method Detail

### getExpression

    public Expression getExpression()

  Gets the expression
  Specified by:
    `getExpression` in interface `ExpressionContainer`

### setExpression

    public void setExpression(Expression e)

  Sets the expression
  Specified by:
    `setExpression` in interface `ExpressionContainer`
  Throws:
    `java.lang.IllegalArgumentException` - if e is null

### acceptVisitor

    public java.lang.Object acceptVisitor(Visitor visitor)

  Allows a visitor to traverse the tree
  Overrides:
    `acceptVisitor` in class `Node`
  Parameters:
    `visitor` - the visitor to accept

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.